Bug 854954 - [abrt] firewall-config-0.2.7-1.fc18: connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.fedoraproject.FirewallD1 was not provided by any .service files
[abrt] firewall-config-0.2.7-1.fc18: connection.py:651:call_blocking:DBusExce...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: firewalld (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
abrt_hash:c93e7165a215e0b6af06c5848e6...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-06 07:34 EDT by Vlad
Modified: 2013-02-15 07:21 EST (History)
3 users (show)

See Also:
Fixed In Version: firewalld-0.2.9-1.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-15 07:21:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (829 bytes, text/plain)
2012-09-06 07:34 EDT, Vlad
no flags Details

  None (edit)
Description Vlad 2012-09-06 07:34:43 EDT
Version-Release number of selected component:
firewall-config-0.2.7-1.fc18

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
cmdline:        /usr/bin/python /usr/bin/firewall-config
kernel:         3.6.0-0.rc4.git0.1.fc18.i686

backtrace:
:connection.py:651:call_blocking:DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.fedoraproject.FirewallD1 was not provided by any .service files
:
:Traceback (most recent call last):
:  File "/usr/bin/firewall-config", line 662, in <module>
:    app = FirewallConfig()
:  File "/usr/bin/firewall-config", line 186, in __init__
:    self.fw = FirewallClient()
:  File "/usr/lib/python2.7/site-packages/firewall/client.py", line 480, in __init__
:    self.dbus_obj = self.bus.get_object(DBUS_INTERFACE, DBUS_PATH)
:  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 241, in get_object
:    follow_name_owner_changes=follow_name_owner_changes)
:  File "/usr/lib/python2.7/site-packages/dbus/proxies.py", line 248, in __init__
:    self._named_service = conn.activate_name_owner(bus_name)
:  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 180, in activate_name_owner
:    self.start_service_by_name(bus_name)
:  File "/usr/lib/python2.7/site-packages/dbus/bus.py", line 278, in start_service_by_name
:    'su', (bus_name, flags)))
:  File "/usr/lib/python2.7/site-packages/dbus/connection.py", line 651, in call_blocking
:    message, timeout)
:DBusException: org.freedesktop.DBus.Error.ServiceUnknown: The name org.fedoraproject.FirewallD1 was not provided by any .service files
:
:Local variables in innermost frame:
:byte_arrays: False
:self: <dbus._dbus.SystemBus (system) at 0xa328cec>
:args: ('org.fedoraproject.FirewallD1', 0)
:object_path: '/org/freedesktop/DBus'
:signature: 'su'
:bus_name: 'org.freedesktop.DBus'
:get_args_opts: {'byte_arrays': False, 'utf8_strings': False}
:timeout: -1.0
:kwargs: {}
:dbus_interface: 'org.freedesktop.DBus'
:message: <dbus.lowlevel.MethodCallMessage path: /org/freedesktop/DBus, iface: org.freedesktop.DBus, member: StartServiceByName dest: org.freedesktop.DBus>
:method: 'StartServiceByName'
Comment 1 Vlad 2012-09-06 07:34:47 EDT
Created attachment 610273 [details]
File: core_backtrace
Comment 3 Fedora Update System 2012-09-07 12:02:46 EDT
firewalld-0.2.8-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/firewalld-0.2.8-1.fc18
Comment 4 Fedora Update System 2012-09-07 15:36:49 EDT
Package firewalld-0.2.8-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing firewalld-0.2.8-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13545/firewalld-0.2.8-1.fc18
then log in and leave karma (feedback).
Comment 5 Jeff Bastian 2012-10-13 14:00:25 EDT
I ran firewall-config from a shell and it crashed immediately.

I checked to see if firewalld is running and I saw a bunch of errors:

$ sudo systemctl status firewalld.service
firewalld.service - firewalld - dynamic firewall daemon
	  Loaded: loaded (/usr/lib/systemd/system/firewalld.service; enabled)
	  Active: inactive (dead) since Sat, 13 Oct 2012 12:55:36 -0500; 2min 16s ago
	 Process: 26230 ExecStart=/usr/sbin/firewalld --nofork $FIREWALLD_ARGS (code=exited, status=0/SUCCESS)
	  CGroup: name=systemd:/system/firewalld.service

Oct 13 12:55:36 firefly.localdomain firewalld[26230]: 2012-10-13 12:55:36 ERROR: Failed to load zone file '/usr/lib/firewalld/zones/internal.xml':
Oct 13 12:55:36 firefly.localdomain firewalld[26230]: 2012-10-13 12:55:36 ERROR: Failed to load zone file '/usr/lib/firewalld/zones/block.xml':
Oct 13 12:55:36 firefly.localdomain firewalld[26230]: 2012-10-13 12:55:36 ERROR: Failed to load zone file '/usr/lib/firewalld/zones/drop.xml':
Oct 13 12:55:36 firefly.localdomain firewalld[26230]: 2012-10-13 12:55:36 ERROR: Failed to load zone file '/usr/lib/firewalld/zones/home.xml':
Oct 13 12:55:36 firefly.localdomain firewalld[26230]: 2012-10-13 12:55:36 ERROR: Failed to load zone file '/usr/lib/firewalld/zones/work.xml':
Oct 13 12:55:36 firefly.localdomain firewalld[26230]: 2012-10-13 12:55:36 ERROR: Failed to load zone file '/usr/lib/firewalld/zones/external.xml':
Oct 13 12:55:36 firefly.localdomain firewalld[26230]: 2012-10-13 12:55:36 ERROR: Failed to load zone file '/usr/lib/firewalld/zones/trusted.xml':
Oct 13 12:55:36 firefly.localdomain firewalld[26230]: 2012-10-13 12:55:36 ERROR: Failed to load zone file '/usr/lib/firewalld/zones/dmz.xml':
Oct 13 12:55:36 firefly.localdomain firewalld[26230]: 2012-10-13 12:55:36 FATAL ERROR: No zones found.
Oct 13 12:55:36 firefly.localdomain firewalld[26230]: 2012-10-13 12:55:36 ERROR: Raising SystemExit in run_server

The files are fine according to rpm:

$ sudo rpm -V firewalld
$

I tried again with SELinux in Permissive mode but it still fails.


Package: firewall-config-0.2.7-1.fc18
Architecture: x86_64
OS Release: Fedora release 18 (Spherical Cow)
Comment 6 Jeff Bastian 2012-10-13 14:06:03 EDT
I updated firewalld and firewall-config to -0.2.8-1.fc18 and now the GUI starts, but everything is grayed out.  The daemon still does not start; it reports the same errors about Failed to load zone file.

I tried manually starting firewalld in debug mode and got a bunch of python tracebacks, e.g.:

2012-10-13 13:05:01 DEBUG1: Loading zone file '/usr/lib/firewalld/zones/dmz.xml'
2012-10-13 13:05:01 ERROR: Failed to load zone file '/usr/lib/firewalld/zones/dmz.xml':
2012-10-13 13:05:01 Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/firewall/core/fw.py", line 187, in _loader
    obj = zone_reader(filename, path)
  File "/usr/lib/python2.7/site-packages/firewall/core/io/zone.py", line 158, in zone_reader
    parser.parse(name)
  File "/usr/lib64/python2.7/site-packages/_xmlplus/sax/expatreader.py", line 109, in parse
    xmlreader.IncrementalParser.parse(self, source)
  File "/usr/lib64/python2.7/site-packages/_xmlplus/sax/xmlreader.py", line 123, in parse
    self.feed(buffer)
  File "/usr/lib64/python2.7/site-packages/_xmlplus/sax/expatreader.py", line 216, in feed
    self._parser.Parse(data, isFinal)
  File "/usr/lib64/python2.7/site-packages/_xmlplus/sax/expatreader.py", line 311, in start_element
    self._cont_handler.startElement(name, AttributesImpl(attrs))
  File "/usr/lib/python2.7/site-packages/firewall/core/io/zone.py", line 101, in startElement
    if "name" in attrs:
  File "/usr/lib64/python2.7/site-packages/_xmlplus/sax/xmlreader.py", line 316, in __getitem__
    return self._attrs[name]
KeyError: 0

2012-10-13 13:05:01 FATAL ERROR: No zones found.
2012-10-13 13:05:01 ERROR: Raising SystemExit in run_server

Note You need to log in before you can comment on or make changes to this bug.